require "player"
require "missile"


function love.load()
	love.graphics.getBackgroundColor(255,255,255)

	missile.load()
	player.load()
end

function love.mousepressed(x, y, button)
	if button == "1" then
		local strX = player.x + player.width / 2
		local strY = player.y + player.height / 2
		local mouseX = x
		local mouseY = y

		local angle = math.atan2((mouseY - strY), (mouseX - strX))

		local missileDx = missileSpeed * math.cos(angle)
		local missileDy = missileSpeed * math.sin(angle)

		table.insert(missile, {x = strX, y = strY, dx = missileDx, dy = missileDy, img = missileImg})
	end
end

function love.update(dt)
	UPDATE_MISSILE(dt)
	UPDATE_PLAYER(dt)
end

function love.draw()
	DRAW_PLAYER()
	missile.draw()
end

